#!/bin/bash
QUALITY=85
THUMB_QUALITY_PNG=70
THUMB_QUALITY_JPG=50

cd $(dirname $(realpath -s ${0}))

# Generate Images
themes="material_light material_dark solarized_light solarized_dark gruvbox_light gruvbox_dark amoled"
for image in ${themes}; do
  ./generate_image ${image} "220 266 335 352 532" 16 ${QUALITY} ${THUMB_QUALITY_JPG} jpg
done
./generate_image phone "220 300 400 520 640 800 1000 1220" 400 ${QUALITY} ${THUMB_QUALITY_PNG} png
./generate_image tablet "545 640 720 800 880 960 1090 1635 2180" 400 ${QUALITY} ${THUMB_QUALITY_PNG} none
./generate_image notifications "363 474 590" 16 ${QUALITY} ${THUMB_QUALITY_JPG} jpg
./generate_image desktop "363 474 590 726 948 1180" 16 ${QUALITY} ${THUMB_QUALITY_JPG} jpg
./generate_image themes "363 474 590 726 948 1180" 16 ${QUALITY} ${THUMB_QUALITY_JPG} jpg
